## plast 2.3.1%2Bdfsg

=== debian/control ===
Source: plast
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake,
               libpcre3-dev,
               default-jdk
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/plast.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/plast.git
Homepage: https://plast.inria.fr/

Package: plast
Architecture: any-amd64 x32
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${java:Depends}
Description: Parallel Local Sequence Alignment Search Tool
 PLAST is a fast, accurate and NGS scalable bank-to-bank sequence
 similarity search tool providing significant accelerations of seeds-
 based heuristic comparison methods, such as the Blast suite of
 algorithms.
 .
 Relying on unique software architecture, PLAST takes full advantage of
 recent multi-core personal computers without requiring any additional
 hardware devices.

Package: plast-example
Architecture: all
Depends: ${misc:Depends}
Description: Parallel Local Sequence Alignment Search Tool (example data)
 PLAST is a fast, accurate and NGS scalable bank-to-bank sequence
 similarity search tool providing significant accelerations of seeds-
 based heuristic comparison methods, such as the Blast suite of
 algorithms.
 .
 Relying on unique software architecture, PLAST takes full advantage of
 recent multi-core personal computers without requiring any additional
 hardware devices.
 .
 This package contains some example data to test plast.
