## plast 2.3.1+dfsg

=== debian/changelog ===
plast (2.3.1+dfsg-2) unstable; urgency=medium

  * Make sure wrapper script is calling bash
  * Restrict to architectures featuring SSE
    Closes: #814299
  * Fix spelling
  * Add Upstream-Contact

 -- Andreas Tille <tille@debian.org>  Wed, 10 Feb 2016 09:22:31 +0100

plast (2.3.1+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #814261)

 -- Andreas Tille <tille@debian.org>  Tue, 09 Feb 2016 10:20:36 +0100
