=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
                cmake,
                libpcre3-dev,
                default-jdk
-Standards-Version: 3.9.8
+Standards-Version: 3.9.7
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/plast.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/plast.git
+Vcs-Git: https://anonscm.debian.org/debian-med/plast.git
 Homepage: https://plast.inria.fr/
 
 Package: plast
