=== debian/watch ===
version=3

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://plast.inria.fr/developer-guide/ .*/files/plast_source_v(\d[\d.]+)\.tar\.gz
