## plast 2.3.2+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 ################################################################################
 set (plast_VERSION_MAJOR 2)
 set (plast_VERSION_MINOR 3)
-set (plast_VERSION_PATCH 1)
+set (plast_VERSION_PATCH 2)
 set (plast-version ${plast_VERSION_MAJOR}.${plast_VERSION_MINOR}.${plast_VERSION_PATCH})
 set (plast-date "xxxx-xx-xx")
