=== debian/changelog ===
plast (2.3.2+dfsg-12) unstable; urgency=medium

  * Team upload.
  * cmake-4.patch: new: bump cmake minimum to 3.10. (Closes: #1113412)
  * d/rules: cleanup extra obj-* directories. (Closes: #1047303)
  * d/control: declare compliance to standards version 4.7.2.
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/watch: convert to v5 Github template.
  * d/patches/*: normalise dep3 headers.

 -- Étienne Mollier <emollier@debian.org>  Sun, 12 Oct 2025 22:24:24 +0200

plast (2.3.2+dfsg-11) unstable; urgency=medium

  * Team Upload.
  * Add patch to fixup FTBFS with gcc-15 (Closes: #1097619)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 21 Sep 2025 00:37:18 +0530

plast (2.3.2+dfsg-10) unstable; urgency=medium

  * Fix watch file

 -- Andreas Tille <tille@debian.org>  Mon, 05 Dec 2022 18:19:37 +0100

plast (2.3.2+dfsg-9) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * Disable link time optimization since it results in test suite failure
    Closes: #1015585
  * Standards-Version: 4.6.1 (routine-update)

 -- Nilesh Patra <nilesh@debian.org>  Wed, 20 Jul 2022 14:54:49 +0530

plast (2.3.2+dfsg-8) unstable; urgency=medium

  * Team Upload.
  * Drop d/p/use_debian_packaged_pcre.patch
  * Add pcre.patch to build with pcre2 (Closes: #999991)
  * d/control: B-D on libpcre2-dev instead of libpcre3-dev

 -- Nilesh Patra <nilesh@debian.org>  Mon, 24 Jan 2022 23:44:55 +0530

plast (2.3.2+dfsg-7) unstable; urgency=medium

  * Team upload.
  * debian/control: mark plast-example as Multi-Arch: foreign
  * debian/rules: build higher SIMD level binaries on amd64/i386
  * Do not parse d/changelog (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 31 Jan 2021 11:11:00 +0100

plast (2.3.2+dfsg-6) unstable; urgency=medium

  * Team Upload.
  * Search binary in obj-* dir to test across all arches
  * Test only on binary:any package
  * DEP3

 -- Nilesh Patra <npatra974@gmail.com>  Sun, 06 Dec 2020 15:13:01 +0530

plast (2.3.2+dfsg-5) unstable; urgency=medium

  * Team Upload.
  * Attempt enabling simde
  * Add Build-Dep and Built-Using since the license is AGPL
  * Enable simde flags
  * Do not hardcode the arch for running test

 -- Nilesh Patra <npatra974@gmail.com>  Sun, 06 Dec 2020 03:38:03 +0530

plast (2.3.2+dfsg-4) unstable; urgency=medium

  * Do nothing in dh_auto_configure and dh_auto_build for indep binaries
    Closes: #976525
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 05 Dec 2020 21:55:04 +0100

plast (2.3.2+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Fix binary-all FTBFS (Closes: #974162)

 -- Nilesh Patra <npatra974@gmail.com>  Thu, 12 Nov 2020 20:03:59 +0530

plast (2.3.2+dfsg-2) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Do not parse d/changelog (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 10 Nov 2020 18:26:55 +0100

plast (2.3.2+dfsg-1) unstable; urgency=medium

  * Point watch file to github
  * New upstream version
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.5
  * Regard DEB_BUILD_OPTIONS in override_dh_auto_test
  * d/rules: Limit parsing d/changelog

 -- Andreas Tille <tille@debian.org>  Fri, 13 Jul 2018 19:20:45 +0200

plast (2.3.1+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Make build reproducible.
    - Use predictable strings for build date and OS.
  * Bump Standards-Version.
  * Enable full hardening.
  * Fix Vcs-Git.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Sat, 28 May 2016 11:31:47 +0000

plast (2.3.1+dfsg-3) unstable; urgency=medium

  * Enable building arch all separately
    Closes: #816986

 -- Andreas Tille <tille@debian.org>  Sat, 19 Mar 2016 18:33:20 +0100
