=== debian/control ===
--- 
+++ 
@@ -3,17 +3,20 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 13),
                cmake,
-               libpcre3-dev,
-               default-jdk
-Standards-Version: 3.9.7
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/plast.git
-Vcs-Git: https://anonscm.debian.org/debian-med/plast.git
+               libpcre2-dev,
+               default-jdk,
+               libsimde-dev
+Standards-Version: 4.7.2
+Vcs-Browser: https://salsa.debian.org/med-team/plast
+Vcs-Git: https://salsa.debian.org/med-team/plast.git
 Homepage: https://plast.inria.fr/
 
 Package: plast
-Architecture: any-amd64 x32
+Architecture: any
+# Since the license of this package is AGPL, adding a Built-Using
+Built-Using: ${simde:Built-Using}
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${java:Depends}
@@ -29,6 +32,7 @@
 
 Package: plast-example
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: Parallel Local Sequence Alignment Search Tool (example data)
  PLAST is a fast, accurate and NGS scalable bank-to-bank sequence
