=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 BUILD_DIR := obj-$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 export BDATE=$(shell TZ=UTC LC_ALL=C date -d"@$(SOURCE_DATE_EPOCH)" +'%Y-%m-%d')
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto
 export DEB_CFLAGS_MAINT_APPEND += -DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3
 export DEB_CXXFLAGS_MAINT_APPEND += -DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3
 
@@ -15,6 +15,14 @@
 
 %:
 	dh $@ --buildsystem=cmake
+
+execute_after_dh_auto_clean:
+ifneq (,$(filter $(DEB_HOST_ARCH),amd64 i386))
+	rm -rf $(foreach simd,$(AMD64_SIMDE),obj-$(simd)/)
+ifeq (i386,$(DEB_HOST_ARCH))
+	rm -rf $(foreach simd,$(I386_SIMDE),obj-$(simd)/)
+endif
+endif
 
 override_dh_auto_configure-arch:
 ifneq (,$(filter $(DEB_HOST_ARCH),amd64 i386))
