=== debian/watch ===
Version: 5

Template: Github
Owner: PLAST-software
Project: plast-library
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/v@ANY_VERSION@
Dversionmangle: auto
Repacksuffix: +dfsg
